### Method

# Gtk Snapshotrotate

#### Declaration [src]

    void
    gtk_snapshot_rotate (
      GtkSnapshot* snapshot,
      float angle
    )

#### Description [src]

Rotates @`snapshot`‘s coordinate system by `angle` degrees in 2D space - or in 3D speak, rotates around the Z axis. The rotation happens around the origin point of (0, 0) in the `snapshot`‘s current coordinate system.

To rotate around axes other than the Z axis, use `gsk_transform_rotate_3d()`.

#### Parameters

`angle`

  Type: `float`

  The rotation angle, in degrees (clockwise)